fwcscmpi(3)

NAME
fwcscmpi - fuzzy comparison of two wide-character strings

SYNOPSIS
#include <fstrcmp.h>

#define FSTRCMPI_IDENTICAL
#define FSTRCMPI_THRESHOLD
#define FSTRCMPI_ERROR

int fwcscmpi(const wchar_t *string1, const wchar_t *string2);

DESCRIPTION
The fwcscmpi() function compares the two wide-character strings, string1 and string2.

RETURN VALUE
The fwcscmpi function returns an int value between 0 and FSTRCMPI_IDENTICAL. A value of 0 means the two wide-character strings are utterly un-alike. A value of FSTRCMPI_IDENTICAL means the two wide-character strings are identical. A value of more than FSTRCMPI_THRESHOLD (it lies between 0 and FSTRCMPI_IDENTICAL) would be considered "similar" by most people.

A value of FSTRCMPI_ERROR (always negative) indicates a malloc(3) failure.

SEE ALSO

fstrcmp(3)
    fuzzy comparison of two strings

fwcscmp(3)
    fuzzy comparison of two wide-character strings

wcscmp(3)
    compare two wide-character strings

COPYRIGHT
fstrcmp version 0.7
Copyright (C) 2009 Peter Miller
Peter Miller <pmiller@opensource.org.au>

The comparison code is derived from the fuzzy comparison functions in GNU Gettext 0.17. The GNU Gettext comparison functions were, in turn, derived from GNU Diff 2.7.

Copyright (C) 1988-2009 Free Software Foundation